Page MenuHomePhabricator

Add bmansurov to archiva-deployers LDAP group
Closed, ResolvedPublic

Description

As part of T210844: Generate article recommendations in Hadoop for use in production I need to upload Python whl files to Archiva.

Event Timeline

bmansurov created this task.Mar 1 2019, 9:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2019, 9:15 PM

Hm, I'm not sure how you are going to use archiva-deployers to do automated uploading of artifacts. archiva-deployers is an LDAP user group, and you won't be able to use your username/pw in an automated way in production jobs.

@Ottomata I'll be deploying artifacts from my local machine, similar to how the Discovery team is doing it.

Hm, ok then, I guess this is a good solution for now. The upload/deploy scripts in https://gerrit.wikimedia.org/r/#/c/analytics/refinery/+/493762/ probably should go in your https://github.com/wikimedia/research-article-recommender repository then.

jbond triaged this task as Normal priority.Mar 4 2019, 8:32 PM

@DarTar can you please authorize this request

Reedy added a subscriber: Reedy.Mar 5 2019, 1:28 PM

@DarTar can you please authorize this request

@DarTar is no longer with the foundation (as of 15th Feb), so he's possibly not the correct person to be authorising this...

jbond added a subscriber: leila.Mar 5 2019, 1:32 PM

@Reedy thanks was going from https://office.wikimedia.org/wiki/Contact_list, i need authorization from bmansurov manager. Looking at https://wikimediafoundation.org/role/staff-contractors/ im guessing that would be @leila

leila added a comment.Mar 5 2019, 5:53 PM

approved.

jbond closed this task as Resolved.Mar 6 2019, 10:41 AM
jbond claimed this task.

This should be in place now, let me know if there are any issues

Thanks, everyone!